org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind

## Class ParameterBindVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind.AbstractBindVisitor
    - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind.ParameterBindVisitor

    public class ParameterBindVisitor
    extends AbstractBindVisitor

Parse @Bind & @Unbind annotations on method's parameters.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind.AbstractBindVisitor

`action, m_aggregate, m_comparator, m_filter, m_from, m_id, m_optional, m_policy, m_proxy, m_specification, workbench`

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`ParameterBindVisitor(ComponentWorkbench workbench, Action action, int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind.AbstractBindVisitor

`completeExistingRequires, createRequiresElement, getRequiresElement, visit, visitEnum`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterBindVisitor

    public ParameterBindVisitor(ComponentWorkbench workbench,
                                Action action,
                                int index)

### Method Detail

#### visitEnd

    public void visitEnd()

End of the visit. Create or append the requirement info to a created or already existing "requires" element.

Overrides:
  `visitEnd` in class `AbstractBindVisitor`
See Also:
  `org.objectweb.asm.commons.EmptyVisitor#visitEnd()`